MPD

- Main Page
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields

# archive_plugin Struct Reference

`#include <archive_plugin.h>`

## Data Fields
const char * | name
bool(* | init )(void)
| optional, set this to NULL if the archive plugin doesn't have/need one this must false if there is an error and true otherwise
void(* | finish )(void)
| optional, set this to NULL if the archive plugin doesn't have/need one
struct archive_file *(* | open )(const char *path_fs, GError **error_r)
| tryes to open archive file and associates handle with archive returns pointer to handle used is all operations with this archive or NULL when opening fails
void(* | scan_reset )(struct archive_file *)
| reset routine will move current read index in archive to default position and then the filenames from archives can be read via scan_next routine
char *(* | scan_next )(struct archive_file *)
| the read method will return corresponding files from archive (as pathnames) and move read index to next file.
struct input_stream *(* | open_stream )(struct archive_file *af, const char *path, GError **error_r)
| Opens an input_stream of a file within the archive.
void(* | close )(struct archive_file *)
| closes archive file.
const char *const | suffixes
| suffixes handled by this plugin.

## Detailed Description

Definition at line 30 of file archive_plugin.h.

## Field Documentation

void(* archive_plugin::close)(struct archive_file *)

closes archive file.

Definition at line 81 of file archive_plugin.h.

void(* archive_plugin::finish)(void)

optional, set this to NULL if the archive plugin doesn't have/need one

Definition at line 44 of file archive_plugin.h.

bool(* archive_plugin::init)(void)

optional, set this to NULL if the archive plugin doesn't have/need one this must false if there is an error and true otherwise

Definition at line 38 of file archive_plugin.h.

const char* archive_plugin::name

Definition at line 31 of file archive_plugin.h.

struct archive_file*(* archive_plugin::open)(const char *path_fs, GError **error_r)`[read]`

tryes to open archive file and associates handle with archive returns pointer to handle used is all operations with this archive or NULL when opening fails

Definition at line 51 of file archive_plugin.h.

struct input_stream*(* archive_plugin::open_stream)(struct archive_file *af, const char *path, GError **error_r)`[read]`

Opens an input_stream of a file within the archive.

Parameters:

  path | the path within the archive
  error_r | location to store the error occuring, or NULL to ignore errors

Definition at line 74 of file archive_plugin.h.

char*(* archive_plugin::scan_next)(struct archive_file *)

the read method will return corresponding files from archive (as pathnames) and move read index to next file.

When there is no next file it return NULL.

Definition at line 65 of file archive_plugin.h.

void(* archive_plugin::scan_reset)(struct archive_file *)

reset routine will move current read index in archive to default position and then the filenames from archives can be read via scan_next routine

Definition at line 58 of file archive_plugin.h.

const char* const archive_plugin::suffixes

suffixes handled by this plugin.

last element in these arrays must always be a NULL

Definition at line 87 of file archive_plugin.h.

The documentation for this struct was generated from the following file:

- src/archive_plugin.h